; Assembly Source File
; Created 07/05/2005, 04:25:18 p.m.
;---Inputs-------------------------------------------------------
;a0.l source data
;a1.l destination, for example this can be the video memory
;d0.w	number of bytes to write -1
;d1.l width of the buffer in bytes, use 30 if decompressing to
;	straight to video ram.
;d2.w number of line high, use 100 if decompressing straight to
;	the ti-89s screen.  Use 128 if the 92+ screen
;-----------------------------------------------------------------


DecompRLEVert:
	lea		1(a1),a2		;the next column of bytes, for when we have written this entire column
	move.w	d2,d3			;a temp counter

NormalBytes:
	move.b	(a0)+,d4		;get byte
	cmp.b		#$91,d4		;is it a run
	beq.s		DecodeRleRun
	move.b	d4,(a1)		;store byte
	add.l		d1,a1			;go down the column
	subq.w	#1,d3			;decrease the column counter
	bne.s		ContinueThisColumn1
	move.w	d2,d3			;new counter
	move.l	a2,a1			;start over at a new column
	addq.l	#1,a2			;what our next column will be
ContinueThisColumn1
	dbra		d0,NormalBytes
	rts
DecodeRleRun:
	move.b	(a0)+,d4		;get value to repeat
	move.b	(a0)+,d5		;get number of times to repeat it
RleRun:
	move.b	d4,(a1)		;store the byte
	add.l		d1,a1			;go down a column
	subq.w	#1,d3			;dec the column counter
	bne.s		ContinueThisColumn2
	move.w	d2,d3
	move.l	a2,a1
	addq.l	#1,a2
ContinueThisColumn2:
	subq.b	#1,d5
	dbeq		d0,RleRun		 ;this loop will always give out because the equality flag
	bra		ContinueThisColumn1;  is set by subtracting 1, from d5, not because the other counter
						 ;  d0 hit -1,  When it does give out d0 will not be decrimented
						 ;  when it should be







Splash_Layer1:
 dc.b $FF,$FF,$91,$E0,$04,$91,$E1,$28,$E0,$E7,$EF,$91,$FF,$51,$91,$00
 dc.b $04,$FF,$91,$00,$04,$03,$91,$02,$08,$03,$03,$02,$91,$00,$16,$FF
 dc.b $00,$91,$FF,$07,$00,$FF,$91,$00,$17,$07,$91,$01,$05,$00,$00,$91
 dc.b $06,$05,$07,$91,$00,$05,$91,$FF,$20,$91,$00,$04,$FF,$91,$00,$04
 dc.b $FB,$0A,$12,$22,$22,$42,$42,$82,$82,$91,$02,$05,$91,$03,$11,$00
 dc.b $00,$00,$FF,$00,$91,$FF,$07,$00,$FF,$91,$00,$17,$E3,$91,$86,$04
 dc.b $83,$00,$00,$07,$06,$07,$06,$06,$E7,$91,$00,$05,$91,$FF,$20,$91
 dc.b $00,$04,$FF,$91,$00,$04,$FD,$0D,$91,$0C,$0C,$91,$FC,$11,$00,$00
 dc.b $00,$FF,$00,$91,$FF,$07,$00,$FF,$91,$00,$17,$C7,$66,$66,$67,$66
 dc.b $C6,$00,$00,$E4,$04,$C4,$04,$02,$E1,$91,$00,$05,$91,$FF,$20,$91
 dc.b $00,$04,$FF,$91,$00,$04,$FC,$0C,$8C,$4C,$4C,$2C,$2C,$1C,$1C,$0C
 dc.b $0C,$04,$91,$00,$16,$FF,$00,$91,$FF,$07,$00,$FF,$91,$00,$17,$C0
 dc.b $66,$66,$C0,$06,$06,$00,$00,$67,$66,$67,$66,$C6,$87,$91,$00,$05
 dc.b $91,$FF,$20,$91,$00,$04,$FF,$91,$00,$04,$FF,$91,$83,$0D,$91,$FF
 dc.b $11,$00,$00,$00,$FF,$00,$91,$FF,$07,$00,$FF,$91,$00,$1F,$E6,$06
 dc.b $C6,$06,$06,$E7,$91,$00,$05,$91,$FF,$20,$91,$00,$04,$FF,$91,$00
 dc.b $04,$7F,$20,$10,$08,$04,$02,$01,$00,$00,$01,$03,$07,$0B,$13,$3F
 dc.b $7F,$3F,$1F,$0F,$07,$03,$01,$00,$00,$01,$03,$07,$0F,$1F,$3F,$7F
 dc.b $00,$00,$00,$FF,$00,$91,$FF,$07,$00,$FF,$91,$00,$20,$06,$06,$00
 dc.b $06,$E6,$91,$00,$05,$91,$FF,$20,$91,$00,$04,$FF,$91,$00,$04,$F3
 dc.b $91,$32,$06,$B2,$72,$33,$13,$02,$91,$00,$08,$10,$30,$70,$91,$F0
 dc.b $08,$00,$00,$00,$FF,$00,$91,$FF,$07,$00,$FF,$91,$00,$2A,$91,$FF
 dc.b $20,$91,$00,$04,$FF,$91,$00,$04,$FB,$0A,$12,$22,$22,$42,$42,$82
 dc.b $82,$91,$02,$05,$91,$03,$11,$00,$00,$00,$FF,$00,$91,$FF,$07,$00
 dc.b $FF,$91,$00,$2A,$91,$FF,$20,$91,$00,$04,$FF,$91,$00,$04,$FD,$0D
 dc.b $91,$0C,$0C,$91,$FC,$11,$00,$00,$00,$FF,$00,$91,$FF,$07,$00,$FF
 dc.b $91,$00,$23,$91,$04,$04,$0E,$0E,$0E,$91,$FF,$20,$91,$00,$04,$FF
 dc.b $91,$00,$04,$FC,$0C,$8C,$4C,$4C,$2C,$2C,$1C,$1C,$0C,$0C,$04,$91
 dc.b $00,$16,$FF,$00,$91,$FF,$07,$00,$FF,$91,$00,$20,$10,$38,$7C,$FE
 dc.b $FE,$FE,$7C,$00,$7C,$7C,$91,$FF,$20,$91,$00,$04,$FF,$91,$00,$04
 dc.b $FF,$91,$83,$0D,$91,$FF,$11,$00,$00,$00,$FF,$00,$91,$FF,$07,$00
 dc.b $FF,$91,$00,$1B,$91,$04,$04,$91,$0E,$04,$91,$1F,$05,$7F,$7F,$91
 dc.b $FF,$20,$91,$00,$04,$FF,$91,$00,$04,$7C,$47,$41,$91,$40,$0B,$7F
 dc.b $7F,$78,$60,$70,$70,$78,$7C,$7E,$7E,$91,$7F,$07,$00,$00,$00,$FF
 dc.b $00,$91,$FF,$07,$00,$FF,$91,$00,$22,$08,$14,$08,$08,$1C,$1C,$9C
 dc.b $FE,$91,$FF,$20,$91,$00,$04,$FF,$91,$00,$04,$01,$01,$81,$C1,$41
 dc.b $91,$61,$07,$C1,$C1,$81,$91,$01,$0A,$81,$C1,$C1,$E1,$F1,$F9,$00
 dc.b $00,$00,$FF,$00,$91,$FF,$07,$00,$FF,$91,$00,$13,$01,$02,$04,$09
 dc.b $13,$27,$2F,$4F,$4F,$91,$9F,$06,$5F,$4F,$2F,$27,$11,$4F,$F4,$91
 dc.b $FF,$21,$91,$00,$04,$FF,$91,$00,$04,$FE,$91,$06,$0D,$91,$FE,$11
 dc.b $00,$00,$00,$FF,$00,$91,$FF,$06,$FE,$02,$FC,$04,$04,$02,$91,$01
 dc.b $07,$02,$02,$03,$05,$09,$12,$26,$4C,$98,$39,$71,$E1,$C3,$C3,$87
 dc.b $87,$07,$91,$0F,$06,$07,$87,$83,$C3,$E1,$F0,$FF,$00,$91,$FF,$21
 dc.b $91,$00,$04,$FF,$91,$00,$04,$1B,$32,$59,$4C,$8C,$86,$83,$83,$81
 dc.b $40,$40,$40,$20,$20,$1F,$0F,$47,$67,$73,$71,$79,$7C,$7E,$7E,$91
 dc.b $7F,$07,$00,$00,$00,$FF,$00,$91,$FF,$06,$7F,$40,$3F,$20,$60,$C0
 dc.b $91,$80,$07,$C0,$C0,$C0,$60,$70,$58,$DC,$CE,$CB,$CD,$C5,$86,$87
 dc.b $87,$83,$83,$83,$81,$81,$C1,$C0,$E0,$E0,$E0,$F0,$F0,$F1,$F1,$F9
 dc.b $FF,$3F,$91,$FF,$21,$91,$00,$04,$FF,$91,$00,$04,$FF,$01,$01,$81
 dc.b $41,$41,$21,$11,$91,$91,$01,$C9,$C5,$63,$33,$19,$F8,$FC,$FE,$91
 dc.b $FF,$05,$7F,$7F,$3F,$9F,$8F,$CF,$E7,$F3,$F7,$00,$00,$00,$FF,$00
 dc.b $91,$FF,$07,$00,$FF,$91,$00,$13,$80,$C0,$E0,$70,$B8,$9C,$CC,$CE
 dc.b $E6,$F7,$91,$F3,$04,$F7,$E6,$EE,$CC,$DC,$B8,$F3,$A3,$91,$FF,$21
 dc.b $91,$00,$04,$FF,$91,$00,$04,$BE,$91,$88,$04,$91,$80,$0A,$00,$00
 dc.b $00,$80,$80,$C0,$C0,$91,$E0,$06,$C0,$C0,$80,$00,$00,$00,$FF,$00
 dc.b $91,$FF,$07,$00,$FF,$91,$00,$14,$01,$02,$02,$04,$04,$04,$02,$91
 dc.b $01,$07,$02,$02,$43,$E5,$49,$52,$66,$CC,$91,$FF,$20,$91,$00,$04
 dc.b $FF,$91,$00,$04,$88,$D8,$A8,$88,$88,$91,$00,$1D,$FF,$00,$91,$FF
 dc.b $07,$00,$FF,$91,$00,$14,$80,$40,$40,$20,$20,$60,$C0,$91,$80,$07
 dc.b $C0,$C0,$C0,$60,$70,$58,$DC,$CE,$91,$FF,$20,$91,$07,$04,$91,$87
 dc.b $28,$07,$E7,$F7,$91,$FF,$4F

Splash_Layer2:
 dc.b $FF,$FF,$E0,$F0,$FB,$91,$FC,$2A,$FF,$FF,$E0,$91,$FF,$50,$00,$00
 dc.b $FF,$91,$00,$06,$03,$91,$02,$05,$91,$03,$05,$02,$91,$00,$18,$FF
 dc.b $FF,$00,$00,$FF,$00,$00,$FF,$00,$91,$FF,$0D,$EF,$91,$FF,$09,$F8
 dc.b $91,$FE,$05,$91,$FF,$2D,$00,$00,$FF,$91,$00,$06,$FB,$0A,$12,$22
 dc.b $22,$42,$C3,$83,$83,$91,$03,$05,$91,$02,$08,$91,$03,$09,$91,$00
 dc.b $05,$FF,$FF,$00,$00,$FF,$00,$00,$FF,$00,$91,$FF,$17,$1C,$91,$79
 dc.b $04,$7C,$91,$FF,$2D,$00,$00,$FF,$91,$00,$06,$FD,$0D,$91,$0C,$04
 dc.b $91,$FC,$08,$91,$0C,$08,$91,$FC,$09,$91,$00,$05,$FF,$FF,$00,$00
 dc.b $FF,$00,$00,$FF,$00,$FF,$FF,$F8,$E0,$C0,$80,$80,$91,$00,$04,$80
 dc.b $80,$C0,$E0,$F8,$91,$FF,$07,$38,$99,$99,$98,$99,$39,$91,$FF,$2D
 dc.b $00,$00,$FF,$91,$00,$06,$FC,$0C,$8C,$4C,$4C,$2C,$3C,$1C,$1C,$0C
 dc.b $0C,$04,$91,$00,$18,$FF,$FF,$00,$00,$FF,$00,$00,$FF,$00,$FF,$FF
 dc.b $7F,$1F,$0F,$07,$07,$91,$03,$04,$07,$07,$0F,$1F,$7F,$91,$FF,$07
 dc.b $3F,$99,$99,$3F,$F9,$F9,$91,$FF,$2D,$00,$00,$FF,$91,$00,$06,$FF
 dc.b $91,$83,$05,$91,$FF,$08,$91,$83,$08,$91,$FF,$09,$91,$00,$05,$FF
 dc.b $FF,$00,$00,$FF,$00,$00,$FF,$00,$91,$FF,$1D,$EF,$91,$FF,$2C,$00
 dc.b $00,$FF,$91,$00,$06,$7F,$20,$10,$08,$04,$02,$01,$00,$00,$01,$03
 dc.b $07,$0F,$1F,$23,$43,$23,$13,$0B,$07,$03,$01,$00,$00,$01,$03,$07
 dc.b $0F,$1F,$3F,$7F,$91,$00,$05,$FF,$FF,$00,$00,$FF,$00,$00,$FF,$00
 dc.b $91,$FF,$4A,$00,$00,$FF,$91,$00,$06,$F3,$91,$32,$05,$F3,$F3,$73
 dc.b $33,$13,$02,$91,$00,$08,$10,$30,$70,$91,$F0,$08,$91,$00,$05,$FF
 dc.b $FF,$00,$00,$FF,$00,$00,$FF,$00,$91,$FF,$05,$EF,$91,$FF,$44,$00
 dc.b $00,$FF,$91,$00,$06,$FB,$0A,$12,$22,$22,$42,$C3,$83,$83,$91,$03
 dc.b $05,$91,$02,$08,$91,$03,$09,$91,$00,$05,$FF,$FF,$00,$00,$FF,$00
 dc.b $00,$FF,$00,$91,$FF,$4A,$00,$00,$FF,$91,$00,$06,$FD,$0D,$91,$0C
 dc.b $04,$91,$FC,$08,$91,$0C,$08,$91,$FC,$09,$91,$00,$05,$FF,$FF,$00
 dc.b $00,$FF,$00,$00,$FF,$00,$91,$FF,$0D,$E7,$E7,$91,$FF,$14,$91,$FB
 dc.b $04,$F1,$F1,$F1,$91,$FF,$20,$00,$00,$FF,$91,$00,$06,$FC,$0C,$8C
 dc.b $4C,$4C,$2C,$3C,$1C,$1C,$0C,$0C,$04,$91,$00,$18,$FF,$FF,$00,$00
 dc.b $FF,$00,$00,$FF,$00,$91,$FF,$20,$EF,$C7,$83,$01,$01,$01,$83,$FF
 dc.b $83,$83,$91,$FF,$20,$00,$00,$FF,$91,$00,$06,$FF,$91,$83,$05,$91
 dc.b $FF,$08,$91,$83,$08,$91,$FF,$09,$91,$00,$05,$FF,$FF,$00,$00,$FF
 dc.b $00,$00,$FF,$00,$91,$FF,$1B,$91,$FB,$04,$91,$F1,$04,$91,$E0,$05
 dc.b $80,$80,$91,$FF,$20,$00,$00,$FF,$91,$00,$06,$7C,$47,$41,$40,$40
 dc.b $40,$91,$7F,$08,$47,$5F,$78,$60,$50,$50,$48,$44,$7E,$7E,$91,$7F
 dc.b $07,$91,$00,$05,$FF,$FF,$00,$00,$FF,$00,$00,$FF,$00,$91,$FF,$22
 dc.b $F7,$EB,$F7,$F7,$E3,$E3,$63,$01,$91,$FF,$20,$00,$00,$FF,$91,$00
 dc.b $06,$01,$01,$81,$C1,$41,$61,$91,$E1,$06,$C1,$C1,$81,$91,$01,$0A
 dc.b $81,$C1,$C1,$E1,$F1,$F9,$91,$00,$05,$FF,$FF,$00,$00,$FF,$00,$00
 dc.b $FF,$00,$91,$FF,$05,$EF,$91,$FF,$0E,$FE,$FC,$F8,$F0,$E0,$E0,$C0
 dc.b $C0,$91,$80,$06,$C0,$C0,$E0,$E0,$F0,$BF,$0C,$07,$91,$FF,$20,$00
 dc.b $00,$FF,$91,$00,$06,$FE,$91,$06,$05,$91,$FE,$08,$91,$06,$08,$91
 dc.b $FE,$09,$91,$00,$05,$FF,$FF,$00,$00,$FF,$01,$02,$FE,$04,$FC,$FC
 dc.b $91,$FF,$08,$FE,$FE,$FF,$FC,$F8,$F1,$E1,$C3,$87,$06,$0E,$1E,$3C
 dc.b $3C,$78,$78,$F8,$91,$F0,$06,$F8,$78,$7C,$3C,$1E,$0F,$91,$FF,$23
 dc.b $00,$00,$FF,$91,$00,$06,$1B,$32,$59,$4C,$8C,$86,$FF,$FF,$FF,$7F
 dc.b $7F,$7F,$3F,$3F,$10,$08,$44,$64,$72,$51,$59,$4C,$7E,$7E,$91,$7F
 dc.b $07,$91,$00,$05,$FF,$FF,$00,$00,$FF,$80,$40,$FF,$E0,$FF,$BF,$7F
 dc.b $91,$FF,$07,$7F,$7F,$FF,$BF,$9F,$AF,$27,$33,$35,$32,$3A,$79,$78
 dc.b $78,$7C,$7C,$7C,$7E,$7E,$3E,$3F,$1F,$1F,$1F,$0F,$0F,$0E,$0E,$06
 dc.b $FF,$C5,$91,$FF,$21,$00,$00,$FF,$91,$00,$06,$FF,$01,$01,$81,$41
 dc.b $41,$3F,$1F,$9F,$CF,$C7,$E3,$F3,$F9,$08,$0C,$06,$03,$01,$01,$00
 dc.b $80,$7F,$7F,$3F,$9F,$8F,$CF,$E7,$F3,$F7,$91,$00,$05,$FF,$FF,$00
 dc.b $00,$FF,$00,$00,$FF,$00,$91,$FF,$05,$E7,$E7,$91,$FF,$0D,$7F,$3F
 dc.b $9F,$4F,$67,$37,$33,$1B,$09,$91,$0D,$04,$09,$1B,$13,$37,$27,$4F
 dc.b $FC,$FC,$E0,$91,$FF,$20,$00,$00,$FF,$91,$00,$06,$BE,$91,$88,$04
 dc.b $91,$80,$0A,$00,$00,$00,$80,$80,$C0,$C0,$91,$E0,$06,$C0,$C0,$80
 dc.b $91,$00,$05,$FF,$FF,$00,$00,$FF,$00,$00,$FF,$00,$91,$FF,$15,$FE
 dc.b $FE,$FC,$FC,$FC,$91,$FF,$08,$FE,$FE,$BF,$1C,$B8,$B1,$A1,$43,$91
 dc.b $FF,$20,$00,$00,$FF,$91,$00,$06,$88,$D8,$A8,$88,$88,$91,$00,$1F
 dc.b $FF,$FF,$00,$00,$FF,$00,$00,$FF,$00,$91,$FF,$15,$7F,$FF,$FF,$FF
 dc.b $BF,$7F,$91,$FF,$07,$7F,$7F,$FF,$BF,$9F,$AF,$27,$33,$91,$FF,$20
 dc.b $07,$0F,$DF,$91,$3F,$2A,$FF,$FF,$07,$91,$FF,$4E

; Compressed 5120 bytes to 1971. 38% of original size.







Menu_Layer1:
 dc.b $91,$7F,$08,$00,$91,$7F,$05,$00,$7F,$91,$00,$0A,$7F,$00,$91,$7F
 dc.b $64,$FF,$C0,$9F,$B0,$A3,$A6,$A3,$A0,$24,$A3,$B0,$9F,$C0,$FF,$00
 dc.b $FF,$91,$00,$0A,$FF,$00,$FF,$FF,$C0,$9F,$B0,$91,$A6,$05,$A7,$91
 dc.b $A0,$08,$B0,$9F,$C0,$FF,$C0,$9F,$B0,$91,$A6,$05,$A7,$91,$A0,$08
 dc.b $B0,$9F,$C0,$FF,$FF,$F8,$F0,$E1,$E3,$91,$E6,$12,$E3,$E1,$F0,$F8
 dc.b $91,$FF,$1E,$00,$FF,$00,$C3,$06,$C6,$E6,$E6,$C3,$00,$FF,$00,$FF
 dc.b $00,$FF,$91,$00,$0A,$FF,$00,$FF,$FF,$00,$FF,$00,$07,$06,$07,$06
 dc.b $06,$E7,$91,$00,$09,$FF,$00,$FF,$00,$FF,$00,$03,$91,$01,$04,$E3
 dc.b $91,$00,$09,$FF,$00,$FF,$FF,$00,$00,$FF,$FF,$91,$00,$12,$FF,$FF
 dc.b $00,$00,$91,$FF,$1E,$00,$FF,$00,$C3,$66,$06,$06,$66,$C3,$00,$FF
 dc.b $00,$FF,$00,$FF,$91,$00,$0A,$FF,$00,$FF,$FF,$00,$FF,$00,$E4,$04
 dc.b $C4,$04,$02,$E1,$91,$00,$09,$FF,$00,$FF,$00,$FF,$00,$C4,$86,$87
 dc.b $85,$84,$C4,$91,$00,$09,$FF,$00,$FF,$FF,$00,$00,$FF,$FF,$91,$00
 dc.b $12,$FF,$FF,$00,$00,$91,$FF,$1E,$00,$FF,$00,$C7,$66,$66,$67,$66
 dc.b $C6,$00,$FF,$00,$FF,$00,$FF,$91,$00,$0A,$FF,$00,$FF,$FF,$00,$FF
 dc.b $00,$67,$66,$67,$66,$C6,$87,$91,$00,$09,$FF,$00,$FF,$00,$FF,$00
 dc.b $67,$66,$67,$E6,$E6,$67,$91,$00,$09,$FF,$00,$FF,$FF,$00,$00,$FF
 dc.b $FF,$91,$00,$12,$FF,$FF,$00,$00,$91,$FF,$1E,$00,$FF,$00,$C7,$66
 dc.b $67,$C6,$86,$67,$00,$FF,$00,$FF,$00,$FF,$91,$00,$0A,$FF,$00,$FF
 dc.b $FF,$00,$FF,$00,$E6,$06,$C6,$06,$06,$E7,$91,$00,$09,$FF,$00,$FF
 dc.b $00,$FF,$00,$E3,$06,$C3,$00,$04,$E3,$91,$00,$09,$FF,$00,$FF,$FF
 dc.b $00,$00,$FF,$FF,$91,$00,$12,$FF,$FF,$00,$00,$91,$FF,$1E,$03,$F9
 dc.b $0D,$E5,$05,$C5,$05,$04,$E5,$0D,$F9,$03,$FF,$00,$FF,$91,$00,$0A
 dc.b $FF,$00,$FF,$FF,$03,$F9,$0D,$91,$05,$05,$E5,$91,$05,$08,$0D,$F9
 dc.b $03,$FF,$03,$F9,$0D,$C5,$05,$C5,$E5,$E5,$C5,$91,$05,$08,$0D,$F9
 dc.b $03,$FF,$FF,$1F,$0F,$87,$C7,$91,$67,$12,$C7,$87,$0F,$1F,$91,$FF
 dc.b $25,$00,$91,$FF,$05,$00,$FF,$91,$00,$0A,$FF,$00,$91,$FF,$64

Menu_Layer2:
 dc.b $91,$7F,$08,$91,$00,$14,$91,$7F,$64,$FF,$C0,$80,$80,$83,$86,$83
 dc.b $80,$04,$03,$91,$00,$12,$FF,$FF,$C0,$80,$80,$91,$86,$05,$87,$91
 dc.b $80,$0A,$C0,$FF,$C0,$80,$80,$91,$86,$05,$87,$91,$80,$0A,$C0,$FF
 dc.b $FF,$FF,$F8,$F2,$F5,$91,$F2,$12,$F5,$F2,$F8,$91,$FF,$1F,$00,$00
 dc.b $00,$C3,$06,$C6,$E6,$E6,$C3,$91,$00,$12,$FF,$FF,$00,$00,$00,$07
 dc.b $06,$07,$06,$06,$E7,$91,$00,$0B,$FF,$00,$00,$00,$03,$91,$01,$04
 dc.b $E3,$91,$00,$0B,$FF,$FF,$FF,$00,$00,$FF,$91,$00,$12,$FF,$00,$00
 dc.b $91,$FF,$1F,$00,$00,$00,$C3,$66,$06,$06,$66,$C3,$91,$00,$12,$FF
 dc.b $FF,$00,$00,$00,$E4,$04,$C4,$04,$02,$E1,$91,$00,$0B,$FF,$00,$00
 dc.b $00,$C4,$86,$87,$85,$84,$C4,$91,$00,$0B,$FF,$FF,$FF,$00,$00,$FF
 dc.b $91,$00,$12,$FF,$00,$00,$91,$FF,$1F,$00,$00,$00,$C7,$66,$66,$67
 dc.b $66,$C6,$91,$00,$12,$FF,$FF,$00,$00,$00,$67,$66,$67,$66,$C6,$87
 dc.b $91,$00,$0B,$FF,$00,$00,$00,$67,$66,$67,$E6,$E6,$67,$91,$00,$0B
 dc.b $FF,$FF,$FF,$00,$00,$FF,$91,$00,$12,$FF,$00,$00,$91,$FF,$1F,$00
 dc.b $00,$00,$C7,$66,$67,$C6,$86,$67,$91,$00,$12,$FF,$FF,$00,$00,$00
 dc.b $E6,$06,$C6,$06,$06,$E7,$91,$00,$0B,$FF,$00,$00,$00,$E3,$06,$C3
 dc.b $00,$04,$E3,$91,$00,$0B,$FF,$FF,$FF,$00,$00,$FF,$91,$00,$12,$FF
 dc.b $00,$00,$91,$FF,$1F,$03,$01,$01,$E1,$01,$C1,$01,$00,$E0,$91,$00
 dc.b $12,$FF,$FF,$03,$91,$01,$07,$E1,$91,$01,$0A,$03,$FF,$03,$01,$01
 dc.b $C1,$01,$C1,$E1,$E1,$C1,$91,$01,$0A,$03,$FF,$FF,$FF,$1F,$4F,$AF
 dc.b $91,$4F,$12,$AF,$4F,$1F,$91,$FF,$26,$91,$00,$14,$91,$FF,$64

; Compressed 2048 bytes to 766. 37% of original size.



; Compressed 1600 bytes to 761. 47% of original size.